using System;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace Sequence.Migrations
{
    /// <inheritdoc />
    public partial class initial : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterDatabase()
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetRoles",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    Name = table.Column<string>(type: "varchar(256)", maxLength: 256, nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    NormalizedName = table.Column<string>(type: "varchar(256)", maxLength: 256, nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    ConcurrencyStamp = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetRoles", x => x.Id);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetUsers",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    Name = table.Column<string>(type: "longtext", nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    UserName = table.Column<string>(type: "varchar(256)", maxLength: 256, nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    NormalizedUserName = table.Column<string>(type: "varchar(256)", maxLength: 256, nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Email = table.Column<string>(type: "varchar(256)", maxLength: 256, nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    NormalizedEmail = table.Column<string>(type: "varchar(256)", maxLength: 256, nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    EmailConfirmed = table.Column<bool>(type: "tinyint(1)", nullable: false),
                    PasswordHash = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    SecurityStamp = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    ConcurrencyStamp = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    PhoneNumber = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    PhoneNumberConfirmed = table.Column<bool>(type: "tinyint(1)", nullable: false),
                    TwoFactorEnabled = table.Column<bool>(type: "tinyint(1)", nullable: false),
                    LockoutEnd = table.Column<DateTimeOffset>(type: "datetime(6)", nullable: true),
                    LockoutEnabled = table.Column<bool>(type: "tinyint(1)", nullable: false),
                    AccessFailedCount = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUsers", x => x.Id);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "Cards",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    Suit = table.Column<int>(type: "int", nullable: false),
                    Value = table.Column<string>(type: "longtext", nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    PositionX = table.Column<int>(type: "int", nullable: false),
                    PositionY = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Cards", x => x.Id);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetRoleClaims",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn),
                    RoleId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    ClaimType = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    ClaimValue = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetRoleClaims", x => x.Id);
                    table.ForeignKey(
                        name: "FK_AspNetRoleClaims_AspNetRoles_RoleId",
                        column: x => x.RoleId,
                        principalTable: "AspNetRoles",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetUserClaims",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn),
                    UserId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    ClaimType = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    ClaimValue = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserClaims", x => x.Id);
                    table.ForeignKey(
                        name: "FK_AspNetUserClaims_AspNetUsers_UserId",
                        column: x => x.UserId,
                        principalTable: "AspNetUsers",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetUserLogins",
                columns: table => new
                {
                    LoginProvider = table.Column<string>(type: "varchar(128)", maxLength: 128, nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    ProviderKey = table.Column<string>(type: "varchar(128)", maxLength: 128, nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    ProviderDisplayName = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    UserId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserLogins", x => new { x.LoginProvider, x.ProviderKey });
                    table.ForeignKey(
                        name: "FK_AspNetUserLogins_AspNetUsers_UserId",
                        column: x => x.UserId,
                        principalTable: "AspNetUsers",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetUserRoles",
                columns: table => new
                {
                    UserId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    RoleId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserRoles", x => new { x.UserId, x.RoleId });
                    table.ForeignKey(
                        name: "FK_AspNetUserRoles_AspNetRoles_RoleId",
                        column: x => x.RoleId,
                        principalTable: "AspNetRoles",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_AspNetUserRoles_AspNetUsers_UserId",
                        column: x => x.UserId,
                        principalTable: "AspNetUsers",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "AspNetUserTokens",
                columns: table => new
                {
                    UserId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    LoginProvider = table.Column<string>(type: "varchar(128)", maxLength: 128, nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Name = table.Column<string>(type: "varchar(128)", maxLength: 128, nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Value = table.Column<string>(type: "longtext", nullable: true)
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserTokens", x => new { x.UserId, x.LoginProvider, x.Name });
                    table.ForeignKey(
                        name: "FK_AspNetUserTokens_AspNetUsers_UserId",
                        column: x => x.UserId,
                        principalTable: "AspNetUsers",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "Players",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    UserId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    Alias = table.Column<string>(type: "longtext", nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Players", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Players_AspNetUsers_UserId",
                        column: x => x.UserId,
                        principalTable: "AspNetUsers",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "Matches",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    Created = table.Column<DateTime>(type: "datetime(6)", nullable: false),
                    PlayerOneId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    PlayerTwoId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    CurrentTurnPlayerId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Matches", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Matches_Players_PlayerOneId",
                        column: x => x.PlayerOneId,
                        principalTable: "Players",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_Matches_Players_PlayerTwoId",
                        column: x => x.PlayerTwoId,
                        principalTable: "Players",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "DeckCards",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    MatchId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    CardId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    Dealt = table.Column<bool>(type: "tinyint(1)", nullable: false),
                    Order = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_DeckCards", x => x.Id);
                    table.ForeignKey(
                        name: "FK_DeckCards_Cards_CardId",
                        column: x => x.CardId,
                        principalTable: "Cards",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_DeckCards_Matches_MatchId",
                        column: x => x.MatchId,
                        principalTable: "Matches",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "HandCards",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    PlayerId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    DeckCardId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_HandCards", x => x.Id);
                    table.ForeignKey(
                        name: "FK_HandCards_DeckCards_DeckCardId",
                        column: x => x.DeckCardId,
                        principalTable: "DeckCards",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_HandCards_Players_PlayerId",
                        column: x => x.PlayerId,
                        principalTable: "Players",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.CreateTable(
                name: "PlayerCards",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    PlayerId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci"),
                    DeckCardId = table.Column<Guid>(type: "char(36)", nullable: false, collation: "ascii_general_ci")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PlayerCards", x => x.Id);
                    table.ForeignKey(
                        name: "FK_PlayerCards_DeckCards_DeckCardId",
                        column: x => x.DeckCardId,
                        principalTable: "DeckCards",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_PlayerCards_Players_PlayerId",
                        column: x => x.PlayerId,
                        principalTable: "Players",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                })
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.InsertData(
                table: "Cards",
                columns: new[] { "Id", "PositionX", "PositionY", "Suit", "Value" },
                values: new object[,]
                {
                    { new Guid("00fbacbf-5f4b-4be6-a026-9e28e1943b82"), 0, 0, 1, "J" },
                    { new Guid("04c32ba8-7f41-43c1-8a2e-a15b867adc78"), 0, 0, 0, "2" },
                    { new Guid("0c0748c2-c078-40da-a1b2-db4230e6b143"), 0, 0, 0, "J" },
                    { new Guid("0ec58b04-8b16-4749-ac90-9c7d6d564cf9"), 0, 0, 3, "7" },
                    { new Guid("15736c7c-d2b0-4b3e-b182-f1718c410bc7"), 0, 0, 3, "10" },
                    { new Guid("17b29679-4234-4d3f-bfad-04533aa54342"), 0, 0, 0, "3" },
                    { new Guid("1aa17695-15c8-4496-b040-7c2ac0e9f60b"), 0, 0, 2, "8" },
                    { new Guid("1e866ad1-fbb8-42ce-aad2-d83afb874249"), 0, 0, 0, "4" },
                    { new Guid("230229bb-54dc-4a5f-9da3-e1a18b8a77b5"), 0, 0, 1, "6" },
                    { new Guid("24c0ba84-badc-4d99-b441-1dc6846dd4b3"), 0, 0, 2, "5" },
                    { new Guid("28a50673-74c8-4796-876c-a856a5d09bc9"), 0, 0, 3, "6" },
                    { new Guid("2a14d58d-77b2-4ef2-aa31-c465d817f6f7"), 0, 0, 3, "8" },
                    { new Guid("2da9f226-02e7-48db-a055-c23aeee94e9d"), 0, 0, 2, "1" },
                    { new Guid("2f3d2fa6-3b6b-43c7-8197-a6b88c98571f"), 0, 0, 2, "K" },
                    { new Guid("3443b8bc-07eb-40f2-a2a5-dbafd5eebe4a"), 0, 0, 0, "K" },
                    { new Guid("369440e7-7a7d-4229-8e1c-f493f63c2c28"), 0, 0, 0, "5" },
                    { new Guid("380a72e2-d9fc-4c82-9982-dfb5a401533b"), 0, 0, 0, "9" },
                    { new Guid("39d6e762-fcfa-484c-bb7f-0f299cd79c4c"), 0, 0, 2, "J" },
                    { new Guid("3ae71eec-67ed-4f85-95d7-864743ba2db1"), 0, 0, 1, "Q" },
                    { new Guid("3b1274a3-b157-4d25-b9dc-74b724764e36"), 0, 0, 1, "K" },
                    { new Guid("3d4f9a38-c302-448e-ab29-6757c7d11b29"), 0, 0, 0, "7" },
                    { new Guid("3f75fce4-8b81-4f60-86d1-c7bb501f1986"), 0, 0, 1, "8" },
                    { new Guid("40fae9fb-1327-4eb2-a26e-7cec21c50b87"), 0, 0, 0, "Q" },
                    { new Guid("411ebcae-4eb1-41a8-bb4a-4edf75fff236"), 0, 0, 0, "7" },
                    { new Guid("4451e515-b011-48fb-843b-7af1c4ad5447"), 0, 0, 1, "10" },
                    { new Guid("4606eb3b-45c8-42ef-b0f7-742366f9edb3"), 0, 0, 2, "6" },
                    { new Guid("466e60c5-7427-41f6-9ce0-78f93c71b1da"), 0, 0, 3, "3" },
                    { new Guid("49030225-83e8-4008-855e-37a5a93b61bf"), 0, 0, 3, "3" },
                    { new Guid("4b9983d5-124e-4eb8-a425-d6dc5f76062e"), 0, 0, 1, "1" },
                    { new Guid("4f15ccb4-a213-4bff-a349-6237c404a181"), 0, 0, 3, "6" },
                    { new Guid("534738d0-3059-4d19-bc4e-69c63445a5e6"), 0, 0, 0, "1" },
                    { new Guid("5386f8e6-e54b-4a92-9a78-7591ca7e72f2"), 0, 0, 2, "3" },
                    { new Guid("59256dda-eab5-4747-b519-6f3b89d100e0"), 0, 0, 2, "7" },
                    { new Guid("5c08d140-3101-4ac4-aebb-d526d2b66a41"), 0, 0, 2, "2" },
                    { new Guid("6080b1fa-36b6-495d-a42c-d85b5cbb3050"), 0, 0, 1, "8" },
                    { new Guid("60daa440-6b3c-4b99-ba84-51f58be74956"), 0, 0, 1, "J" },
                    { new Guid("6202ee80-0374-4b1d-a5ba-b0b990fb940f"), 0, 0, 3, "8" },
                    { new Guid("6333c8b4-b5c0-4023-aaf1-4c0e33eb884c"), 0, 0, 1, "4" },
                    { new Guid("659b91b7-b689-43c3-ae84-7e4c58b9bf8f"), 0, 0, 1, "10" },
                    { new Guid("688e851d-148c-403c-94b3-e629ec9f9005"), 0, 0, 1, "3" },
                    { new Guid("6949b2d2-41ab-45ed-a242-c30450592087"), 0, 0, 3, "9" },
                    { new Guid("707b60e2-10ba-4a96-b430-8a60cc373361"), 0, 0, 2, "7" },
                    { new Guid("76f065dc-99f4-4761-9494-243365fc8d65"), 0, 0, 3, "2" },
                    { new Guid("78752484-f7b4-4584-a5b5-c5c3ba52c18d"), 0, 0, 1, "1" },
                    { new Guid("79afbe72-5fb1-49f1-b7f5-15e90d675692"), 0, 0, 1, "5" },
                    { new Guid("7b089dc2-629a-427a-aadf-13740b4cd519"), 0, 0, 1, "7" },
                    { new Guid("7b493a4c-3f31-42dc-9ccc-f49486d703c9"), 0, 0, 2, "5" },
                    { new Guid("7c19c024-3daf-4f31-afec-1335cae4a892"), 0, 0, 2, "9" },
                    { new Guid("7e88e9e0-9ec3-490c-9bb9-ca9b83b67641"), 0, 0, 0, "4" },
                    { new Guid("7f66ba82-ab08-4991-9364-c766522d159e"), 0, 0, 2, "4" },
                    { new Guid("7fbefe8f-ee4c-4c8a-a58d-4883d8dc9b77"), 0, 0, 0, "8" },
                    { new Guid("82c24b2f-77cf-4cc9-a572-1f12665516e0"), 0, 0, 1, "7" },
                    { new Guid("87413764-0217-46ab-ba66-16aa5703b1d6"), 0, 0, 1, "9" },
                    { new Guid("87810d1f-1b3d-4bab-a40a-d2338e27c559"), 0, 0, 3, "J" },
                    { new Guid("8b322db9-b520-4807-98f0-971b51a5ca45"), 0, 0, 2, "2" },
                    { new Guid("8cf7541b-751d-4e71-8c5e-b430b840ada3"), 0, 0, 1, "6" },
                    { new Guid("8d1aed6e-6f7b-477a-8862-86c8dd7f05ef"), 0, 0, 0, "10" },
                    { new Guid("8f00a428-564d-4989-8a15-06863fa52a25"), 0, 0, 3, "4" },
                    { new Guid("94a0fddc-d169-4c49-a053-5ba7772375ca"), 0, 0, 1, "9" },
                    { new Guid("94ca0b08-fa48-428e-b0dd-e2a3a73d196f"), 0, 0, 0, "J" },
                    { new Guid("9c56a504-c6d4-43df-9ab3-e52be9e6f26f"), 0, 0, 3, "J" },
                    { new Guid("9e9525c9-b059-4a26-b894-4689895cd77c"), 0, 0, 3, "10" },
                    { new Guid("9ee21eee-ebc3-4d1e-965b-1779e79fc615"), 0, 0, 2, "3" },
                    { new Guid("a405ac49-4d1f-4fb1-a9d6-b2cbdc9be0e6"), 0, 0, 0, "6" },
                    { new Guid("a630f594-3371-4c91-97c1-df0b28d03191"), 0, 0, 0, "3" },
                    { new Guid("a6db77ff-dd24-43fb-b77f-c7491f1180a0"), 0, 0, 0, "9" },
                    { new Guid("a72e423e-a425-4e06-9d04-b762f9feb49e"), 0, 0, 1, "2" },
                    { new Guid("a784a174-df9b-4415-b539-d097177b3355"), 0, 0, 2, "J" },
                    { new Guid("a8f3f9c0-9a56-4d9b-b667-0e30786a5960"), 0, 0, 0, "1" },
                    { new Guid("a9e1b1e7-126b-45a7-b742-4a920daa7fad"), 0, 0, 3, "1" },
                    { new Guid("abcd1bd2-a904-4a4c-ad20-387cb7b72023"), 0, 0, 3, "K" },
                    { new Guid("aeb16cff-97ac-4e22-b460-0213a84cc0c5"), 0, 0, 0, "6" },
                    { new Guid("afd63b01-25b5-4aa9-a167-31f54c4d8caa"), 0, 0, 2, "9" },
                    { new Guid("b3c0da5f-bce3-46b9-923a-aa54a6e8c1d3"), 0, 0, 1, "4" },
                    { new Guid("b4e83980-0a93-4c3e-90e6-5411fef3b1a3"), 0, 0, 3, "Q" },
                    { new Guid("b6792e49-7585-410f-958e-296aaa79a426"), 0, 0, 0, "K" },
                    { new Guid("bb57dbd6-e33d-4120-975b-d62d46f96011"), 0, 0, 3, "5" },
                    { new Guid("bbc87958-3d44-4b19-a161-75b6ad5bdb90"), 0, 0, 2, "10" },
                    { new Guid("be1f7ad7-3acf-4c7a-94b8-b5bf595698b3"), 0, 0, 2, "8" },
                    { new Guid("c19999f2-8821-4831-a9dd-818018c47302"), 0, 0, 3, "4" },
                    { new Guid("c5931746-958f-4028-9225-9ec90e1c3991"), 0, 0, 2, "4" },
                    { new Guid("cd3a137a-10eb-483c-bcb8-b4403d93e08b"), 0, 0, 0, "Q" },
                    { new Guid("d6c9b402-3a12-4162-9a02-775bc16f2339"), 0, 0, 2, "6" },
                    { new Guid("d6fddb98-c3ab-4af6-a3fb-66fa8c98ae50"), 0, 0, 1, "Q" },
                    { new Guid("dd944dba-2157-49e2-812f-64c7f9a7739f"), 0, 0, 3, "Q" },
                    { new Guid("de47e43b-ecbd-49f5-b168-f0a3dfcef879"), 0, 0, 1, "3" },
                    { new Guid("dff7ee16-3127-40bb-970f-74afdc2b434b"), 0, 0, 2, "K" },
                    { new Guid("e0c2b5f7-9bd5-4caf-96a3-99462ee0ad1d"), 0, 0, 1, "5" },
                    { new Guid("e0cd0a2e-ac3f-4a3c-b967-cdd2f9255f42"), 0, 0, 3, "9" },
                    { new Guid("e1e8e8a1-fc5d-4117-aaa9-cf639834cb7c"), 0, 0, 3, "K" },
                    { new Guid("e22a362f-73de-43a4-9b94-4f8c02913723"), 0, 0, 0, "10" },
                    { new Guid("e2d5262d-10ee-458f-b751-b26971a36e77"), 0, 0, 2, "Q" },
                    { new Guid("e388446c-bcdd-4d97-9bd7-fc8967a970b8"), 0, 0, 1, "K" },
                    { new Guid("e636a707-7ac2-4f4c-b5aa-31e6adaccf0c"), 0, 0, 0, "5" },
                    { new Guid("e64378af-8e6c-46d3-9a56-49947579eca7"), 0, 0, 1, "2" },
                    { new Guid("ee256eec-5826-4684-9985-406ae3ac9b32"), 0, 0, 0, "8" },
                    { new Guid("ee7eac08-14b1-411a-8f66-e105d867222e"), 0, 0, 3, "2" },
                    { new Guid("f1de527d-6c6a-47f6-8ec6-307b45e043d2"), 0, 0, 2, "Q" },
                    { new Guid("f626f981-9d4d-4334-ae25-1a4427661060"), 0, 0, 0, "2" },
                    { new Guid("f94c64ff-0d6a-4cb2-b075-b3a33916236f"), 0, 0, 2, "10" },
                    { new Guid("fafdb5af-44ef-4a7d-b35e-59bbdef46ffc"), 0, 0, 2, "1" },
                    { new Guid("fc19d235-4a60-4ae3-ae35-6e8c9b143401"), 0, 0, 3, "1" },
                    { new Guid("fcd681be-fb37-41e6-8bf1-38f567b3e44a"), 0, 0, 3, "7" },
                    { new Guid("fe6afd37-7b07-4630-a717-f6bcbdcac2dd"), 0, 0, 3, "5" }
                });

            migrationBuilder.CreateIndex(
                name: "IX_AspNetRoleClaims_RoleId",
                table: "AspNetRoleClaims",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "RoleNameIndex",
                table: "AspNetRoles",
                column: "NormalizedName",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_AspNetUserClaims_UserId",
                table: "AspNetUserClaims",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_AspNetUserLogins_UserId",
                table: "AspNetUserLogins",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_AspNetUserRoles_RoleId",
                table: "AspNetUserRoles",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "EmailIndex",
                table: "AspNetUsers",
                column: "NormalizedEmail");

            migrationBuilder.CreateIndex(
                name: "UserNameIndex",
                table: "AspNetUsers",
                column: "NormalizedUserName",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_DeckCards_CardId",
                table: "DeckCards",
                column: "CardId");

            migrationBuilder.CreateIndex(
                name: "IX_DeckCards_MatchId",
                table: "DeckCards",
                column: "MatchId");

            migrationBuilder.CreateIndex(
                name: "IX_HandCards_DeckCardId",
                table: "HandCards",
                column: "DeckCardId");

            migrationBuilder.CreateIndex(
                name: "IX_HandCards_PlayerId",
                table: "HandCards",
                column: "PlayerId");

            migrationBuilder.CreateIndex(
                name: "IX_Matches_PlayerOneId",
                table: "Matches",
                column: "PlayerOneId");

            migrationBuilder.CreateIndex(
                name: "IX_Matches_PlayerTwoId",
                table: "Matches",
                column: "PlayerTwoId");

            migrationBuilder.CreateIndex(
                name: "IX_PlayerCards_DeckCardId",
                table: "PlayerCards",
                column: "DeckCardId");

            migrationBuilder.CreateIndex(
                name: "IX_PlayerCards_PlayerId",
                table: "PlayerCards",
                column: "PlayerId");

            migrationBuilder.CreateIndex(
                name: "IX_Players_UserId",
                table: "Players",
                column: "UserId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "AspNetRoleClaims");

            migrationBuilder.DropTable(
                name: "AspNetUserClaims");

            migrationBuilder.DropTable(
                name: "AspNetUserLogins");

            migrationBuilder.DropTable(
                name: "AspNetUserRoles");

            migrationBuilder.DropTable(
                name: "AspNetUserTokens");

            migrationBuilder.DropTable(
                name: "HandCards");

            migrationBuilder.DropTable(
                name: "PlayerCards");

            migrationBuilder.DropTable(
                name: "AspNetRoles");

            migrationBuilder.DropTable(
                name: "DeckCards");

            migrationBuilder.DropTable(
                name: "Cards");

            migrationBuilder.DropTable(
                name: "Matches");

            migrationBuilder.DropTable(
                name: "Players");

            migrationBuilder.DropTable(
                name: "AspNetUsers");
        }
    }
}
